Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: concurrent
BuildRequires: /proc
BuildRequires: jpackage-compat

Name:           colt
Version:        1.2.0
Release:        alt1_4jpp5
Epoch:          0
Summary:        Open-source libraries for high-performance scientific and technical computing
License:        X11-like
Source0:        http://dsd.lbl.gov/~hoschek/colt-download/releases/colt-1.2.0.tar.gz
Source1:        %{name}-%{version}.build.xml
URL:            http://dsd.lbl.gov/~hoschek/colt/
Group:          Development/Java
BuildArch:      noarch
Requires: concurrent >= 0:1.3.4 corejava-format
BuildRequires: concurrent >= 0:1.3.4 corejava-format
BuildRequires: jpackage-utils >= 0:1.5 /bin/bash ant

%description
Colt provides a set of open-source libraries for high-performance scientific
and technical computing in Java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%package -n colt-hep
Summary:        Compact, extensible, modular and performant histogramming functionality
License:        LGPL (but usage related to military applications is expressly forbidden)
Group:          Development/Java
Requires: colt >= 0:1.2.0

%description -n colt-hep
Compact, extensible, modular and performant histogramming functionality,
from the COLT distribution.

%package -n colt-hep-javadoc
Summary:        Javadoc for colt-hep
Group:          Development/Documentation

%description -n colt-hep-javadoc
Javadoc for colt-hep.

%prep
%setup -c -q
mv colt/* .
cp %{SOURCE1} build.xml

%build
export CLASSPATH=%(build-classpath corejava-format concurrent)
ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  -Dversion=%{version} \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dconcurrent.apiurl=%{_javadocdir}/concurrent \
  -Dcorejava-format.apiurl=%{_javadocdir}/corejava-format \
  jars javadoc

%install
rm -fr $RPM_BUILD_ROOT

# COLT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs-colt/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# HEP
install -m 644 colt-hep-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s colt-hep-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/colt-hep.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/colt-hep-%{version}
cp -pr docs-colt-hep/* $RPM_BUILD_ROOT%{_javadocdir}/colt-hep-%{version}
ln -s colt-hep-%{version} $RPM_BUILD_ROOT%{_javadocdir}/colt-hep # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%post -n colt-hep-javadoc
rm -f %{_javadocdir}/colt-hep
ln -s colt-hep-%{version} %{_javadocdir}/colt-hep

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files -n colt-hep
%{_javadir}/colt-hep-%{version}.jar
%{_javadir}/colt-hep.jar

%files -n colt-hep-javadoc
%doc %{_javadocdir}/colt-hep-%{version}
%ghost %doc %{_javadocdir}/colt-hep

%changelog
* Sun Feb 21 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.2.0-alt1_4jpp5
- new jpackage release

* Wed Oct 24 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.2.0-alt1_3jpp1.7
- converted from JPackage by jppimport script

